// Zadatak05.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
using namespace std;

void IspisPolja(int* polje, int brojElemenata);

void Prebacivanje(int* polje, int* polje2, int brojElemenata)
{
    int j = brojElemenata - 1;
    for (int i = 0; i < brojElemenata; i++)
    {
        polje2[j] = polje[i];
        j--;
    }
}

int main()
{
    int poljeBrojeva[5] = { 1,2,3,4,5 };
    int poljeObrnutihBrojeva[5];

    IspisPolja(poljeBrojeva, 5);
    Prebacivanje(poljeBrojeva, poljeObrnutihBrojeva, 5);
    IspisPolja(poljeObrnutihBrojeva, 5);
}

void IspisPolja(int* polje, int brojElemenata)
{
    for (int i = 0; i < brojElemenata; i++)
    {
        cout << *(polje + i) << endl;
    }
    cout << endl;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
